ScummVM2.0.0 crash upon start [reproducable]

Subforum for discussion and help with ScummVM's Android port

Moderator: ScummVM Team

Timiditas
Posts: 28
Joined: Thu Oct 18, 2012 8:37 pm

ScummVM2.0.0 crash upon start [reproducable]

Post by Timiditas » Wed Jan 10, 2018 9:35 am

Heya, the Android port stopped working for me.
Its crashing as soon as it shows the external configuration button.
Logcat uploaded to the following Google Drive folder:
https://drive.google.com/open?id=1_IrWc ... Fxu3wsnihN

ScummVM 2.0.0 (from Play Store)

Galaxy Tab 3
SM-T111
Android 4.2.2 (Samsung Stock Rom, TWRP, SuperSU)
Baseband T111XXXUAOC2

Kernel
3.4.5-2825369
se.infra@SWDB2804 #2

Build JDQ39.T111XXUAOC2

Timiditas
Posts: 28
Joined: Thu Oct 18, 2012 8:37 pm

Post by Timiditas » Wed Jan 10, 2018 9:41 am

Just tested android_arm-master-bc29219b (2.1.0git223) is starting up fine

The Soundfont option in Midi settings doesn't seem to have any effect, contrary to the Windows port, which loads and uses all of my soundfonts ok.
"Internal synthesis" is something different than Fluidsynth?

dafioram
Posts: 33
Joined: Sat Sep 24, 2016 5:10 pm

Post by dafioram » Wed Jan 10, 2018 4:18 pm

The android version on the playstore is android-sdl 2.0, it is the best android version in my opinion. It is different from the android version from the buildbot (which is not sdl).

The non-sdl version doesn't work on non-rooted devices and doesn't allow the virtual keyboard to be opened on android devices without an menu button.

Everything below is about the sdl version.

The error in your cat log is for not being able to find "libapplication.so".

01-10 10:19:42.868 E/AndroidRuntime( 4869): FATAL EXCEPTION: Thread-412
01-10 10:19:42.868 E/AndroidRuntime( 4869): java.lang.UnsatisfiedLinkError: Cannot load library: find_library(linker.cpp:889): "/data/app-lib/org.scummvm.scummvm-1/libapplication.so" failed to load previously

I am also able to reproduce this on my 4.2 android tablet, but not on my 4.4.2 phone (or 7.0 phone), so I would see if upgrading your device to at least 4.4.2 solves it.

The NDK and android API used in 2.0 is a later version than the one used in 1.9.1 so this probably only allows later version of android to work with 2.0.

Timiditas
Posts: 28
Joined: Thu Oct 18, 2012 8:37 pm

Post by Timiditas » Thu Jan 11, 2018 3:34 pm

There is no official update from Samsung anymore.
I made quite some bad experiences with drastically reduced battery life with custom roms in the past. I will not touch this device any further. Guess I'll have to stick to that buildbot version then and keep the apk secure.

User avatar
Mister Floppy
Posts: 3
Joined: Sat Nov 19, 2005 9:37 am

Post by Mister Floppy » Sun Jan 14, 2018 4:54 am

I'm in the same boat as Timiditas, I can't "upgrade" my Android smartphone higher than v4.1.1 ("Jellybean") anymore and am experiencing these crashes, too :-(

I've just tested it with the latest "master" buildbot version from january 13th, 2018, without crashing, so I'm hoping the developers won't let us "old" users standing in the rain?

Unfortunately, it is very annoying that the Google playstore permanently reports that there is a "newer" version, which is the one that, at the moment, seems to be incompatible with our smartphones' OS...

stephan92
Posts: 11
Joined: Tue Jan 23, 2018 9:35 pm

Re: ScummVM2.0.0 crash upon start [reproducable]

Post by stephan92 » Thu Jan 25, 2018 9:02 pm

Hi,
I've got the same issue : Scummvm crashes immediately from the begining.
My tablette ; Acer Iconia Tab
Android v4.1.1 with a Kernel 3.1.10 (non rooted)
I have downgraded the version 1.90 which works properly.
If that could help, tell me how to provide more concrete information.
Thank you.
Cheers

mim2011
Posts: 7
Joined: Thu Feb 22, 2018 7:54 am

Post by mim2011 » Thu Feb 22, 2018 8:21 am

The problem is on the android_sdl framework that is used for this port. There is a library, curl, that cause problems with Android 4.3 and before. I have managed to buid scummvm without libcurl and it is working on 4.2.2 (Asus Memo Pad HD 7). The instructions are in the

scummvm/dist/androidsdl

folder,

I changed only the file

scummvm/dists/androidsdl/scummvm/AndroidAppSettings.cfg

on the line removed curl:

Code: Select all

CompiledLibraries="mad vorbis flac ogg jpeg png theora freetype faad sdl_net" 

and

scummvm/dists/androidsdl/scummvm/AndroidBuild.sh

Code: Select all

       $ANDROIDSDL/project/jni/application/setEnvironment-$1.sh sh -c "cd scummvm/bin-$1 && env LIBS='-lflac -lvorbis -logg -lmad -lz -lgcc -ltheora -lpng -lfreetype -lfaad -lgnustl_static' ../configure --host=androidsdl-$1 --enable-zlib --enable-vorbis --enable-mad --enable-flac --enable-png --enable-theoradec --enable-sdlnet --enable-vkeybd --disable-libcurl --enable-release --enable-all-engines --enable-mt32emu --disable-readline --disable-nasm --disable-timidity --disable-fluidsynth --datadir=. "
my options for configure, including --disable-libcurl and a missing dot before ./configure

Blade Runner looks great on a 7'' tablet :-)

dafioram
Posts: 33
Joined: Sat Sep 24, 2016 5:10 pm

Post by dafioram » Thu Feb 22, 2018 9:20 pm

mim2011,

Thats really great that you found a fix would you be willing to push a PR with this change to https://github.com/scummvm/scummvm?

If you have the build environment setup would you be willing to talk to the devs at #scummvm on irc.freenode.net and send them an updated apk? The arm or arm7a are probably the most common. They would probably want the version to based off of 2.0.0 + your fix (so it wouldn't include games current unreleased like blade runner).

mim2011
Posts: 7
Joined: Thu Feb 22, 2018 7:54 am

Post by mim2011 » Mon Feb 26, 2018 8:11 pm

Until the scummvm team will provide an official build that works with older androids i can offer you an unofficial one:

https://file.io/cJhjw9

It is 2.0 build without the curl library for arm 32/64 and x86 32/64. It is working fine on Android 4.2 and 5.1.

All the credits goes to original developers / porters, especially to Lubomyr

stephan92
Posts: 11
Joined: Tue Jan 23, 2018 9:35 pm

Post by stephan92 » Tue Feb 27, 2018 9:14 pm

I would be please to try your version but the link seems to be dead.
Waiting for a new link or for a beta version
Thanks

mim2011
Posts: 7
Joined: Thu Feb 22, 2018 7:54 am

Post by mim2011 » Wed Feb 28, 2018 7:50 am

yeah sorry, i should not ignore such a description "Ephemeral file sharing" :-)

I uploaded again on dropbox. I hope it is better now:

https://www.dropbox.com/s/8admvh19rkpa1 ... e.apk?dl=0

have fun

stephan92
Posts: 11
Joined: Tue Jan 23, 2018 9:35 pm

Post by stephan92 » Fri Mar 02, 2018 9:24 pm

Hi,
I just have downloaded the file and perform a very quick test with 3 or 4 LucasArts games and it's works.
This is great.

But is it normal that non-LucasArts games do not work anymore ?
I only have tried with Elvira, Kyrandia and Broken Sword. I will try the other games this week end.

Anyway the original purpose of Scummmv is back :-)

Thanks

mim2011
Posts: 7
Joined: Thu Feb 22, 2018 7:54 am

Post by mim2011 » Sat Mar 03, 2018 9:50 am

Hi stephan92

I checked again and I can not reproduce your problem. I was able to start Kyrandia 1 and 2, Discworld and Riven.

stephan92
Posts: 11
Joined: Tue Jan 23, 2018 9:35 pm

Post by stephan92 » Mon Mar 05, 2018 10:29 pm

Hi mim2011

As I wrote, I have perform some tests this week-end with your provided version. My private games collection is composed of 57 PC games and 7 AMIGA games.
To sumarize, your provided version ... WORKS PERFECTLY !!!!
All games seems to work (at least start and are playable for the first minutes).

The three games that didn't work had some missing files, or some corrupted files. After a new importation, the issues were fixed.

The SCUMMVM projet has some GREAT SOFTWARE DEVELOPPERS for sure!!!

Thank you for all.

stf-06
Posts: 2
Joined: Fri Aug 25, 2006 2:12 pm

Post by stf-06 » Sat Mar 17, 2018 12:26 pm

Thank you so much Mim2011!!! I was desperate when I realized 2.0.0 wouldn't run on my phone! I hope your patch will be included in next releases, I can't imagine a life without ScummVM ;o)

Post Reply